## START: Set by rpmautospec
## (rpmautospec version 0.3.5)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by rust2rpm 24
%bcond_without check
%global debug_package %{nil}

%global crate image

Name:           rust-image
Version:        0.24.7
Release:        %autorelease
Summary:        Imaging library

License:        MIT
URL:            https://crates.io/crates/image
Source:         %{crates_source}
# Manually created patch for downstream crate metadata changes
# * drop unused, benchmark-only criterion dev-dependency to speed up builds
# * disable little-endian-only openexr feature
# * disable qoi feature as we don't have rust-qoi packaged
Patch:          image-fix-metadata.diff

BuildRequires:  rust-packaging >= 21

%global _description %{expand:
Imaging library. Provides basic image processing and encoders/decoders
for common image formats.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE
%doc %{crate_instdir}/CHANGES.md
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+bmp-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+bmp-devel %{_description}

This package contains library source intended for building other packages which
use the "bmp" feature of the "%{crate}" crate.

%files       -n %{name}+bmp-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+dds-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+dds-devel %{_description}

This package contains library source intended for building other packages which
use the "dds" feature of the "%{crate}" crate.

%files       -n %{name}+dds-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+dxt-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+dxt-devel %{_description}

This package contains library source intended for building other packages which
use the "dxt" feature of the "%{crate}" crate.

%files       -n %{name}+dxt-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+farbfeld-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+farbfeld-devel %{_description}

This package contains library source intended for building other packages which
use the "farbfeld" feature of the "%{crate}" crate.

%files       -n %{name}+farbfeld-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+gif-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+gif-devel %{_description}

This package contains library source intended for building other packages which
use the "gif" feature of the "%{crate}" crate.

%files       -n %{name}+gif-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+hdr-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+hdr-devel %{_description}

This package contains library source intended for building other packages which
use the "hdr" feature of the "%{crate}" crate.

%files       -n %{name}+hdr-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+ico-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+ico-devel %{_description}

This package contains library source intended for building other packages which
use the "ico" feature of the "%{crate}" crate.

%files       -n %{name}+ico-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+jpeg-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+jpeg-devel %{_description}

This package contains library source intended for building other packages which
use the "jpeg" feature of the "%{crate}" crate.

%files       -n %{name}+jpeg-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+jpeg_rayon-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+jpeg_rayon-devel %{_description}

This package contains library source intended for building other packages which
use the "jpeg_rayon" feature of the "%{crate}" crate.

%files       -n %{name}+jpeg_rayon-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+png-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+png-devel %{_description}

This package contains library source intended for building other packages which
use the "png" feature of the "%{crate}" crate.

%files       -n %{name}+png-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+pnm-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+pnm-devel %{_description}

This package contains library source intended for building other packages which
use the "pnm" feature of the "%{crate}" crate.

%files       -n %{name}+pnm-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+tga-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+tga-devel %{_description}

This package contains library source intended for building other packages which
use the "tga" feature of the "%{crate}" crate.

%files       -n %{name}+tga-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+tiff-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+tiff-devel %{_description}

This package contains library source intended for building other packages which
use the "tiff" feature of the "%{crate}" crate.

%files       -n %{name}+tiff-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+webp-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+webp-devel %{_description}

This package contains library source intended for building other packages which
use the "webp" feature of the "%{crate}" crate.

%files       -n %{name}+webp-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version_no_tilde} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
# * skip tests with missing test files (not included in published crates)
%cargo_test -- -- --skip codecs::bmp::decoder::test::read_rect --skip codecs::png::tests::ensure_no_decoder_off_by_one --skip codecs::png::tests::underlying_error --skip dynimage::test::image_dimensions --skip dynimage::test::open_16bpc_png --skip imageops::sample::tests::resize_transparent_image --skip imageops::sample::tests::test_resize_same_size --skip imageops::sample::tests::test_sample_bilinear --skip imageops::sample::tests::test_sample_nearest --skip codecs::bmp::decoder::test::test_no_header
%endif

%changelog
* Sat Aug 12 2023 Kalev Lember <klember@redhat.com> - 0.24.7-1
- Update to version 0.24.7; Fixes RHBZ#2230218

* Tue Aug 08 2023 Kalev Lember <klember@redhat.com> - 0.24.6-1
- Update to version 0.24.6; Fixes RHBZ#2142172

* Tue Aug 08 2023 Kalev Lember <klember@redhat.com> - 0.24.4-4
- Re-generate packaging with rust2rpm 24

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.24.4-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.24.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Wed Oct 05 2022 Fabio Valentini <decathorpe@gmail.com> - 0.24.4-1
- Update to version 0.24.4; Fixes RHBZ#2129649

* Sun Aug 21 2022 Fabio Valentini <decathorpe@gmail.com> - 0.24.3-1
- Update to version 0.24.3; Fixes RHBZ#2048826

* Sat Jul 23 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.23.14-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.23.14-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Tue Jul 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.23.14-2
- Second attempt - Rebuilt for
  https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Wed Mar 03 2021 Fabio Valentini <decathorpe@gmail.com> - 0.23.14-1
- Update to version 0.23.14.

* Sun Feb 07 2021 Fabio Valentini <decathorpe@gmail.com> - 0.23.13-1
- Update to version 0.23.13.
- Fixes RHBZ#1925270

* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.23.12-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Thu Nov 19 2020 Fabio Valentini <decathorpe@gmail.com> - 0.23.12-1
- Update to version 0.23.12.
- Fixes RHBZ#1899328

* Sat Nov 07 2020 Fabio Valentini <decathorpe@gmail.com> - 0.23.11-1
- Update to version 0.23.11.
- Fixes RHBZ#1891340

* Mon Oct 19 2020 Fabio Valentini <decathorpe@gmail.com> - 0.23.10-1
- Update to version 0.23.10.

* Wed Sep 16 2020 Fabio Valentini <decathorpe@gmail.com> - 0.23.9-1
- Update to version 0.23.9.

* Wed Jul 29 2020 Josh Stone <jistone@redhat.com> - 0.23.8-1
- Update to 0.23.8

* Tue Jul 14 2020 Josh Stone <jistone@redhat.com> - 0.23.7-1
- Update to 0.23.7

* Fri Jun 26 2020 Josh Stone <jistone@redhat.com> - 0.23.6-1
- Update to 0.23.6

* Thu Jun 11 2020 Josh Stone <jistone@redhat.com> - 0.23.5-1
- Update to 0.23.5

* Tue Apr 21 2020 Josh Stone <jistone@redhat.com> - 0.23.4-1
- Update to 0.23.4

* Wed Apr 08 2020 Josh Stone <jistone@redhat.com> - 0.23.3-1
- Update to 0.23.3

* Tue Mar 17 2020 Josh Stone <jistone@redhat.com> - 0.23.2-1
- Update to 0.23.2

* Tue Mar 10 2020 Josh Stone <jistone@redhat.com> - 0.23.1-1
- Update to 0.23.1

* Mon Mar 02 2020 Josh Stone <jistone@redhat.com> - 0.23.0-2
- Bump to png 0.16

* Mon Feb 17 10:58:48 CET 2020 Igor Raits <ignatenkobrain@fedoraproject.org> - 0.23.0-1
- Update to 0.23.0

* Thu Jan 30 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.22.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Thu Jan 16 2020 Josh Stone <jistone@redhat.com> - 0.22.4-1
- Update to 0.22.4

* Tue Nov 19 2019 Josh Stone <jistone@redhat.com> - 0.22.3-1
- Update to 0.22.3

* Sun Sep 08 16:53:42 CEST 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.22.2-1
- Update to 0.22.2

* Sun Sep 01 20:48:08 CEST 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.22.1-1
- Update to 0.22.1

* Fri Jul 26 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.21.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Sat Jun 22 20:49:22 CEST 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.21.2-2
- Regenerate

* Sun Jun 09 17:07:34 CEST 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.21.2-1
- Update to 0.21.2

* Mon Apr 15 2019 Josh Stone <jistone@redhat.com> - 0.21.1-1
- Update to 0.21.1

* Fri Mar 15 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.21.0-1
- Initial package

